org.glassfish.jersey.server.model

## Interface Routed

All Known Implementing Classes:
  Resource

    public interface Routed

Marker interface for all resource model components that contain path information usable for routing.

Author:
  Marc Hadley, Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPath()` Get the path direct assigned to the component.
`PathPattern` `getPathPattern()` Get the path pattern that can be used for matching the remaining request URI against this component represented by this model.

### Method Detail

#### getPath

    String getPath()

Get the path direct assigned to the component.

Returns:
  component path.

#### getPathPattern

    PathPattern getPathPattern()

Get the path pattern that can be used for matching the remaining request URI against this component represented by this model.

Returns:
  component path pattern.